# synfig::GradientCPoint Struct Reference

`#include <gradient.h>`

Inheritance diagram for synfig::GradientCPoint:

List of all members.

## Public Member Functions

bool | operator< (const GradientCPoint &rhs) const
bool | operator< (const Real &rhs) const
| GradientCPoint ()
| GradientCPoint (const Real &pos, const Color &color)

## Public Attributes

Real | pos
Color | color

## Detailed Description

Todo:

## Constructor & Destructor Documentation

synfig::GradientCPoint::GradientCPoint | ( |  | ) | `[inline]`

synfig::GradientCPoint::GradientCPoint | ( | const Real & | pos,
|  | const Color & | color |
| ) |  |  | `[inline]`

## Member Function Documentation

bool synfig::GradientCPoint::operator< | ( | const GradientCPoint & | rhs | ) | const`[inline]`

References pos.

bool synfig::GradientCPoint::operator< | ( | const Real & | rhs | ) | const`[inline]`

References pos.

## Member Data Documentation

Real synfig::GradientCPoint::pos

Referenced by synfig::Gradient::operator+=(), operator<(), and supersample_helper().

Color synfig::GradientCPoint::color

Referenced by synfig::Gradient::operator+=(), and supersample_helper().

The documentation for this struct was generated from the following file:

- gradient.h